Delete Project
DELETE https://deploygate.com/api/organizations/{PROJECT_NAME}
Caution
- When deleting your Project, all teams and applications contained within that Projects are also deleted.
- Projects with an active subscription of Starup, Business and Large Business plans cannot be deleted. You must first cancel the subscription. The cancellation procedure differs depending on the payment method (credit card or invoice).
Path Params
| Name | Type | Required | Description |
|---|---|---|---|
| PROJECT_NAME | string | true | Project Name |
Example
curl \
-X DELETE \
--url "https://deploygate.com/api/organizations/${PROJECT_NAME}" \
-H "Accept: application/json" \
-H "Authorization: Bearer ${API_TOKEN}"
Result 204
{
"error": false,
"results": {
"message":"the Project was removed successfully"
}
}
Result 404
{
"error": true,
"message": "invalid Project name",
"because": "invalid Project name"
}